---
title: URLUtilsReadOnly
slug: Web/API/URLUtilsReadOnly
tags:
  - API
  - Interface
  - Obsolete
  - Reference
  - URL API
---
<p>{{ApiRef("URL API")}}{{obsolete_header}}</p>

<p><span class="seoSummary">The <strong>obsolete</strong> <strong><code>URLUtilsReadOnly</code></strong> interface previously defined utility methods for working with URLs. These were then inherited by other interfaces, such as {{domxref("WorkerLocation")}}.</span> <code>URLUtilsReadOnly</code> has been removed from the specification, and the properties it defined are now directly part of the affected interfaces.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface doesn't inherit any properties.</em></p>

<dl>
 <dt>{{domxref("URLUtilsReadOnly.href")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the whole URL.</dd>
 <dt>{{domxref("URLUtilsReadOnly.protocol")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the protocol scheme of the URL, including the final <code>':'</code>.</dd>
 <dt>{{domxref("URLUtilsReadOnly.host")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the host, that is the <em>hostname</em>, a <code>':'</code>, and the <em>port</em> of the URL.</dd>
 <dt>{{domxref("URLUtilsReadOnly.hostname")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the domain of the URL.</dd>
 <dt>{{domxref("URLUtilsReadOnly.origin")}} {{readOnlyInline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing the canonical form of the origin of the specific location.</dd>
 <dt>{{domxref("URLUtilsReadOnly.port")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing the port number of the URL.</dd>
 <dt>{{domxref("URLUtilsReadOnly.pathname")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("USVString")}} containing an initial <code>'/'</code> followed by the path of the URL, not including the query string or fragment.</dd>
 <dt>{{domxref("URLUtilsReadOnly.search")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing a <code>'?'</code> followed by the parameters of the URL.</dd>
 <dt>{{domxref("URLUtilsReadOnly.hash")}} {{readOnlyInline}}</dt>
 <dd>Is a {{domxref("DOMString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't inherit any methods.</em></p>

<dl>
 <dt>{{domxref("URLUtilsReadOnly.toString()")}}</dt>
 <dd>Returns a {{domxref("DOMString")}} containing the whole URL. It is a synonym for {{domxref("URLUtilsReadOnly.href")}}.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URLUtilsReadOnly")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other URL-related interfaces: {{domxref("URL")}}, {{domxref("URLUtils")}}, and {{domxref("URLQuery")}}.</li>
 <li>Interfaces implementing this one: {{domxref("WorkerLocation")}}.</li>
</ul>
